%define name monodevelop
%define version 0.7
%define svn 1949
%define release 13mdk
%define gtksharp 1.9.5
%define gtksourceview 0.10
%define gecko 0.10
%define monodoc 1.0
%if %mdkversion >= 200600
%define pkgconfigdir %_datadir/pkgconfig
%else
%define pkgconfigdir %_libdir/pkgconfig
%endif
%define mozver %(rpm -q --queryformat %%{VERSION} mozilla-firefox)

Summary: Full-featured IDE for mono and Gtk#
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://go-mono.com/sources/monodevelop/%{name}-%{version}.tar.bz2
Patch: monodevelop-0.6-xvt.patch.bz2
Patch1: monodevelop-0.7-firefox.patch.bz2
Patch2: monodevelop-0.7-debugger-0.10.patch.bz2
Patch3: monodevelop-0.7-new-boo.patch.bz2
URL: http://www.monodevelop.com/
License: GPL
Group: Development/Other
Requires: gecko-sharp2 >= %gecko
Requires: gtksourceview-sharp >= %gtksourceview
Requires: gnome-sharp2 >= %gtksharp
Requires: glade-sharp2 >= %gtksharp
Requires: monodoc >= %monodoc
Requires: shared-mime-info
Requires: mozilla-firefox = %mozver
BuildRequires: boo >= 0.5.3.1544-2mdk
BuildRequires: ikvm
BuildRequires: mono-devel
BuildRequires: gecko-sharp2 >= %gecko
BuildRequires: gtksourceview-sharp >= %gtksourceview
BuildRequires: gnome-sharp2 >= %gtksharp
BuildRequires: glade-sharp2 >= %gtksharp
BuildRequires: monodoc >= %monodoc
BuildRequires: mono-data-sqlite
BuildRequires: libmono-debugger-devel
BuildRequires: mozilla-firefox-devel
BuildRequires: perl-XML-Parser
BuildRequires: ImageMagick
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description 
This is MonoDevelop which is intended to be a full-featured
integrated development environment (IDE) for mono and Gtk#.
It was originally a port of SharpDevelop 0.98.

%prep
%setup -q
%patch -p1 -b .xvt
%patch1 -p1 -b .firefox
%patch2 -p1 -b .debugger
%patch3 -p1

%build
%configure --enable-boo --enable-java --enable-debugger
make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
mkdir -p %{buildroot}/`monodoc --get-sourcesdir`
%makeinstall_std UPDATE_MIME_DB="#" pkgconfigdir=%pkgconfigdir
#gw fix mozilla-firefox directory
perl -pi -e "s^xMOZVERx^%mozver^g" %buildroot%_bindir/monodevelop

# menu
mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_bindir}/monodevelop" \
title="MonoDevelop" \
longtitle="Full-featured IDE for mono and Gtk#" \
%if %mdkversion <= 1000
section="More applications/Development/Development environments" \
%else
section="More Applications/Development/Development Environments" \
%endif
needs="x11" \
icon="monodevelop.png" \
startup_notify="yes"
EOF
#icons
mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
ln -s %_datadir/pixmaps/%name.png %buildroot%_liconsdir/
convert -scale 32x32 %name.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 %name.png %buildroot%_miconsdir/%name.png

mv %buildroot%_datadir/locale/ja_JP %buildroot%_datadir/locale/ja
%find_lang %name

%post
update-mime-database %{_datadir}/mime
%update_menus

%postun
update-mime-database %{_datadir}/mime
%clean_menus

%files -f %name.lang
%defattr(-,root,root) 
%doc AUTHORS ChangeLog README 
%{_bindir}/monodevelop
%{_menudir}/%{name}
%{_prefix}/lib/monodevelop/
%{_datadir}/applications/monodevelop.desktop
%{_datadir}/mime/packages/monodevelop.xml
%{_datadir}/pixmaps/monodevelop.png
%pkgconfigdir/monodevelop.pc
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Sep  1 2005 Gtz Waschk <waschk@mandriva.org> 0.7-13mdk
- patch for new boo

* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 0.7-12mdk
- rebuild for new gtk-sharp2

* Fri Jul 29 2005 Gtz Waschk <waschk@mandriva.org> 0.7-11mdk
- rebuild for new firefox

* Fri Jul 01 2005 Gtz Waschk <waschk@mandriva.org> 0.7-10mdk
- rebuild for new boo

* Mon Jun 20 2005 Gtz Waschk <waschk@mandriva.org> 0.7-9mdk
- update patch 2 for new debugger

* Mon Jun 20 2005 Gtz Waschk <waschk@mandriva.org> 0.7-8mdk
- Rebuild

* Thu Jun  2 2005 Gtz Waschk <waschk@mandriva.org> 0.7-7mdk
- no more no noarch

* Mon May 30 2005 Gtz Waschk <waschk@mandriva.org> 0.7-6mdk
- no more noarch
- build with mono debugger support on x86

* Wed May 25 2005 Gtz Waschk <waschk@mandriva.org> 0.7-5mdk
- rebuild for new firefox

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 0.7-4mdk
- rebuild

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 0.7-3mdk
- enable java

* Mon May 23 2005 Gtz Waschk <waschk@mandriva.org> 0.7-2mdk
- fix startup and depend on mozilla-firefox

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 0.7-1mdk
- make it noarch
- update deps
- new source URL
- New release 0.7

* Wed Apr 20 2005 Gtz Waschk <waschk@mandriva.org> 0.6-7mdk
- fix Japanese locale dir
- patch to use xvt instead of xterm
- drop dep on libgtksourceview, now in libgtksourceview-sharp
- fix buildrequires, hopefully for the last time

* Tue Apr 19 2005 Gtz Waschk <waschk@mandriva.org> 0.6-6mdk
- fix buildrequires once again

* Tue Apr 19 2005 Gtz Waschk <waschk@mandriva.org> 0.6-5mdk
- fix buildrequires again

* Tue Apr 19 2005 Gtz Waschk <waschk@mandriva.org> 0.6-4mdk
- fix buildrequires

* Fri Apr  1 2005 Emmanuel Blindauer <mdk@agat.net> 0.6-3mdk
- Add requires on libgtksourceview (fix crash)

* Wed Mar 30 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.6-2mdk
- fix buildrequires

* Wed Mar 30 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- drop the patch
- bump deps
- New release 0.6

* Fri Sep 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- spec fixes
- 0.5.1 final

* Mon Sep 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-0.1949.1mdk
- fix menu
- update to snapshot

* Mon Aug  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-3mdk
- requires xterm

* Wed Jul 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- rebuild for new rpm

* Thu Jul  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- bump deps
- new version

* Fri Jun 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-4mdk
- add scaled icons
- fix deps again

* Fri Jun 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-3mdk
- drop packager tag
- another buildrequires fix

* Thu Jun 3 2004 Sandino "Tigrux" Flores <tigrux@ximian.com> 0.4-2mdk
  - Added menu scripts to %%post and %%postun
  - Own only files it owns
  - Use %%configure2_5x instead of %%configure

* Thu Jun 3 2004 Sandino "Tigrux" Flores <tigrux@ximian.com> 0.4-1mdk
  - First rpm for mandrake
